#!/usr/bin/python

"""
This file is part of Visuse.

Copyright (C) 2010 Jose Luis Lopez Pino jllopezpino@gmail.com

Visuse is free software: you can redistribute it and/or modify
it under 
the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Visuse is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Visuse.  If not, see <http://www.gnu.org/licenses/>.

"""

import gdata.photos.service
import gdata.media
import gdata.geo
from classes import *
import config


class Picasa(Result, ImageResult):
	def __init__(self, name, url, thumbnail):
		ImageResult.__init__(self, name, url, thumbnail)



class SearchPicasa(SearchModule):
	def __init__(self):
		SearchModule.__init__(self)

		
	def search(self, search_terms):
		gd_client = gdata.photos.service.PhotosService()

		photos = gd_client.SearchCommunityPhotos(search_terms, limit=config.picasa_limit)
		for iterador in photos.entry:
			self.add(iterador)
		
		return self.resultList
	

	def add(self, entry):
		
		self.resultList.append(Picasa( \
			entry.title.text, \
			entry.content.src, \
			entry.media.thumbnail[-1].url \
		))


#~ s = SearchPicasa()
#~ s.search("molina")
#~ print unicode(s).encode("iso-8859-2", "replace")
